> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Connector Resources

> Get a list of available resources and their actions for a connector



## OpenAPI

````yaml get /connectors/{connectorId}/resources
openapi: 3.0.1
info:
  title: Connectivity API
  description: >
    The Alloy Connectivity API enables you to create and manage MCP (Model
    Context Protocol) servers that provide secure, controlled access to platform
    integrations for AI assistants.
  version: '1.0'
  contact:
    name: Alloy Support
    email: support@runalloy.com
    url: https://runalloy.com
servers:
  - url: https://production.runalloy.com
    description: Production server
security: []
tags:
  - name: Connectors
    description: Get connector details and execute actions
  - name: Credentials
    description: Manage credentials for connectors
  - name: Files
    description: Manage file uploads and downloads
  - name: Users
    description: Manage users
paths:
  /connectors/{connectorId}/resources:
    get:
      tags:
        - Connectors
      summary: Get Connector Resources
      description: Get a list of available resources and their actions for a connector
      operationId: get-connector-resources
      parameters:
        - name: x-api-version
          in: header
          required: true
          description: API version
          schema:
            type: string
            default: 2025-09
          example: 2025-09
        - name: x-alloy-userid
          in: header
          required: false
          description: >-
            The ID of the user making the request; if not provided, the request
            will be made as the API Key user
          schema:
            type: string
          example: 68b666094a6821e749c36006
        - name: connectorId
          in: path
          required: true
          description: Connector ID
          schema:
            type: string
          example: slack
      responses:
        '200':
          description: List of resources
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Resources'
              example:
                resources:
                  - name: chat
                    description: Operations related to chat.
                    actions:
                      - id: chat_postMessage
                        name: Post
                        description: Posts a message into a channel.
      security:
        - bearerAuth: []
components:
  schemas:
    Resources:
      type: object
      properties:
        resources:
          type: array
          items:
            $ref: '#/components/schemas/Resource'
    Resource:
      type: object
      required:
        - name
      properties:
        name:
          type: string
          description: Name of the resource
          example: chat
        description:
          type: string
          description: Description of the resource operations
          example: Operations related to chat.
        actions:
          type: array
          items:
            $ref: '#/components/schemas/Action'
          description: List of actions available for this resource
    Action:
      type: object
      required:
        - id
        - name
      properties:
        id:
          type: string
          description: Unique action identifier
          example: chat_postMessage
        name:
          type: string
          description: Display name of the action
          example: Post
        description:
          type: string
          description: Description of what the action does
          example: Posts a message into a channel.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````